- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: db4e46b6-d2fc-44d2-90fe-ab997bf74334
    creation_time: 2023-02-17T12:12:57.289111Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/prodbin.c
      input_file_hashes:
        c/nla-digbench/prodbin.c: d11f17f8a25d8a5a32a93452e3d89a857b35c1cd218cb024dcaa96fa8702818d
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/prodbin.c
    file_hash: d11f17f8a25d8a5a32a93452e3d89a857b35c1cd218cb024dcaa96fa8702818d
    line: 32
    column: 0
    function: main
  loop_invariant:
    string: z+x*y == a*b && y >= 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b58d556e-b9c6-43c6-858e-9d9a490c6aea
    creation_time: 2023-02-17T12:12:57.289404Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/prodbin.c
      input_file_hashes:
        c/nla-digbench/prodbin.c: d11f17f8a25d8a5a32a93452e3d89a857b35c1cd218cb024dcaa96fa8702818d
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/prodbin.c
    file_hash: d11f17f8a25d8a5a32a93452e3d89a857b35c1cd218cb024dcaa96fa8702818d
    line: 33
    column: 0
    function: main
  location_invariant:
    string: z+x*y == a*b
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 581d6ad6-7051-405d-9c44-bd0f45d00846
    creation_time: 2023-02-17T12:12:57.289510Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/prodbin.c
      input_file_hashes:
        c/nla-digbench/prodbin.c: d11f17f8a25d8a5a32a93452e3d89a857b35c1cd218cb024dcaa96fa8702818d
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/prodbin.c
    file_hash: d11f17f8a25d8a5a32a93452e3d89a857b35c1cd218cb024dcaa96fa8702818d
    line: 44
    column: 0
    function: main
  location_invariant:
    string: z == a*b
    type: assertion
    format: C

